Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.jaxp
Class SAXParserFactoryImpl

    java.lang.Object
      javax.xml.parsers.SAXParserFactory
          com.sun.msv.verifier.jaxp.SAXParserFactoryImpl

public class SAXParserFactoryImpl
extends javax.xml.parsers.SAXParserFactory

SAXParserFactory implementation that supports validation.

This class uses another SAXParserFactory implementation and adds the validation capability to it.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`SAXParserFactoryImpl()` Creates a new instance by using the default SAXParserFactory implementation as the underlying parser.
`SAXParserFactoryImpl(java.io.File schemaAsFile)` Creates a new instance that validates documents against the specified schema.
`SAXParserFactoryImpl(org.xml.sax.InputSource _schema)` Creates a new instance that validates documents against the specified schema.
`SAXParserFactoryImpl(javax.xml.parsers.SAXParserFactory _factory)` Creates a new instance by specifying the underlying SAXParserFactory implementation.
`SAXParserFactoryImpl(javax.xml.parsers.SAXParserFactory _factory, org.iso_relax.verifier.Schema _schema)`
`SAXParserFactoryImpl(org.iso_relax.verifier.Schema schema)` Creates a new instance by using a default SAXParserFactory implementation and the specified schema object.
`SAXParserFactoryImpl(java.lang.String schemaUrl)` Creates a new instance that validates documents against the specified schema.

Method Summary
`boolean` | `getFeature(java.lang.String name)`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`javax.xml.parsers.SAXParser` | `newSAXParser()`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setNamespaceAware(boolean awareness)`
`void` | `setValidating(boolean validating)`

Methods inherited from class javax.xml.parsers.SAXParserFactory
`newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactoryImpl

    public SAXParserFactoryImpl()

  Creates a new instance by using the default SAXParserFactory implementation as the underlying parser. This constructor does not set any schema.

### SAXParserFactoryImpl

    public SAXParserFactoryImpl(javax.xml.parsers.SAXParserFactory _factory)

  Creates a new instance by specifying the underlying SAXParserFactory implementation. This constructor does not set any schema.

### SAXParserFactoryImpl

    public SAXParserFactoryImpl(org.iso_relax.verifier.Schema schema)

  Creates a new instance by using a default SAXParserFactory implementation and the specified schema object.

### SAXParserFactoryImpl

    public SAXParserFactoryImpl(java.io.File schemaAsFile)
                         throws org.iso_relax.verifier.VerifierConfigurationException,
                                org.xml.sax.SAXException,
                                java.io.IOException

  Creates a new instance that validates documents against the specified schema.

### SAXParserFactoryImpl

    public SAXParserFactoryImpl(org.xml.sax.InputSource _schema)
                         throws org.iso_relax.verifier.VerifierConfigurationException,
                                org.xml.sax.SAXException,
                                java.io.IOException

  Creates a new instance that validates documents against the specified schema.

### SAXParserFactoryImpl

    public SAXParserFactoryImpl(java.lang.String schemaUrl)
                         throws org.iso_relax.verifier.VerifierConfigurationException,
                                org.xml.sax.SAXException,
                                java.io.IOException

  Creates a new instance that validates documents against the specified schema.

### SAXParserFactoryImpl

    public SAXParserFactoryImpl(javax.xml.parsers.SAXParserFactory _factory,
                                org.iso_relax.verifier.Schema _schema)

Method Detail

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws javax.xml.parsers.ParserConfigurationException,
                              org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws javax.xml.parsers.ParserConfigurationException,
                           org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### newSAXParser

    public javax.xml.parsers.SAXParser newSAXParser()
                                             throws javax.xml.parsers.ParserConfigurationException,
                                                    org.xml.sax.SAXException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### setNamespaceAware

    public void setNamespaceAware(boolean awareness)

### isNamespaceAware

    public boolean isNamespaceAware()

### setValidating

    public void setValidating(boolean validating)

### isValidating

    public boolean isValidating()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD